Create Footprint

Create a Footprint object.

This endpoint requires the following mandatory parameters:

  • consent
  • templateId

Additional required fields depend on the selected templateId.

Supported Templates

Template IDInput TypeRequired Parameters
tpl-email-footprintEmail address onlyconsent, templateId, emailAddress, countryCode
tpl-mobile-footprintMobile number onlyconsent, templateId, mobileNumber, countryCode
tpl-score-footprintEmail + mobile numberconsent, templateId, emailAddress, mobileNumber, countryCode
tpl-ftp005001 (deprecated)Email address onlyconsent, templateId, emailAddress, countryCode
tpl-ftp005002 (deprecated)Mobile number onlyconsent, templateId, mobileNumber, countryCode

Field Rules

  • For tpl-ftp005001, emailAddress must be provided and mobileNumber should be omitted or null.
  • For tpl-ftp005002, mobileNumber must be provided and emailAddress should be omitted or null.
  • For tpl-score-footprint, emailAddress and mobileNumber must both be provided.
  • For all templates, countryCode is required and must be a valid ISO country code.

Sandbox Test Values

Template IDTest InputExpected Response
tpl-email-footprintemailAddress = [email protected], countryCode = PHresultCode = SUCCESS
tpl-mobile-footprintmobileNumber = 639559991234, countryCode = PHresultCode = SUCCESS
tpl-score-footprintemailAddress = [email protected], mobileNumber = 639559991234, countryCode = PHresultCode = SUCCESS

For all other valid input combinations, if no mock data is matched, the response will return:
resultCode = NO_DATA, and no items will be included.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required

The email address of the subject. It must be a valid email address. Required for tpl-ftp005001.

string | null
enum

2 character alpha ISO-3166 codes

string
required

Fixed to tpl-email-footprint (or legacy tpl-ftp005001, deprecated).

integer
1 to 30

Timeout in seconds for footprint items. If exceeded, returns completed footprint items, others items' values will be null.

consent
object
required
Response

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json